DROP TABLE IF EXISTS cbd_device CASCADE ;
DROP TABLE IF EXISTS cbd_device_group CASCADE;
DROP TABLE IF EXISTS cbd_organization CASCADE ;

CREATE TABLE cbd_device (
    device_id bigint NOT NULL,
    change_timestamps character varying(4096),
    org_key character varying(255)
);

CREATE TABLE cbd_device_group (
    device_group_id integer NOT NULL,
    org_key character varying(255),
    name character varying(1024) NOT NULL,
    change_timestamps character varying(4096)
);

CREATE TABLE cbd_organization (
     change_timestamps character varying(4096),
     kill_switch_on boolean DEFAULT false,
     ransomware_config character varying(4096),
     org_key character varying(255),
     deployment_type_change_timestamps character varying(4096)
);
